package models

import "time"

// FenweiExcelIndex 汾渭Excel指标数据
type FenweiExcelIndex struct {
	//ClassifyName string `description:"指标目录"`
	//ClassifySort int    `description:"指标目录排序号"`
	IndexName    string `description:"指标名称"`
	IndexCode    string `description:"指标编码"`
	Unit         string `description:"单位"`
	Sort         int    `description:"排序号"`
	Frequency    string `description:"频度"`
	TerminalCode string `description:"编码"`
	ClassifyId   int    `description:"分类ID"`
	ExcelDataMap map[string]string
}

// BaseFromFenweiClassifyItem 汾渭数据分类信息
type BaseFromFenweiClassifyItem struct {
	ClassifyId   int                           `description:"分类ID"`
	ClassifyName string                        `description:"分类名称"`
	ParentId     int                           `description:"父级id"`
	Level        int                           `description:"层级"`
	Sort         int                           `description:"排序字段"`
	CreateTime   string                        `description:"创建时间"`
	ModifyTime   string                        `description:"修改时间"`
	Child        []*BaseFromFenweiClassifyItem `description:"子分类"`
}

type EdbLibFenweiClassifyResponse struct {
	Ret     int
	Msg     string
	ErrMsg  string
	ErrCode string
	Data    []BaseFromFenweiClassifyItem
}

type BaseFromFenweiIndex struct {
	FenweiIndexId int64 `orm:"column(fenwei_index_id);pk"`
	IndexCode     string
	IndexName     string
	Frequency     string
	Unit          string
	ClassifyId    int
	StartDate     string
	EndDate       string
	Sort          int
	TerminalCode  string
	CreateTime    time.Time
	ModifyTime    time.Time
}

type EdbLibFenweiIndexListResponse struct {
	Ret     int
	Msg     string
	ErrMsg  string
	ErrCode string
	Data    []BaseFromFenweiIndex
}
